// тк мы к ним обращаемся везде ниже
@import "utils/vars";
@import "utils/reset";
@import "utils/animation";


html {
    line-height: $mainLineHeight;
    font-size: $mainFontSize;
    color: $mainFontColor;
    height: 100%;

    @media screen and (max-width: $desktopWidth) {
        font-size: 16px;
    }

    @media screen and (max-width: $tableWidth) {
        font-size: 15px;
    }

    @media screen and (max-width: $phoneWidth) {
        font-size: 14px;
    }
}

body {
    font-family: $mainFont;
    font-size: $mainFontSize;
    font-weight: $mainFontWeight;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    margin: 0;
    padding: 0;
    background-color: #f7f7f7;
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
}

input,
textarea,
select,
button {
    border: 1px solid $border-base;
}

a {
    text-decoration: none;
}

ul,
li {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

section,
.section {
    position: relative;
    padding: 40px 0;

    @media screen and (max-width: $desktopWidth) {
        padding: 36px 0;
    }

    @media screen and (max-width: $desktopWidth) {
        padding: 28px 0;
    }

    @media screen and (max-width: $desktopWidth) {
        padding: 20px 0;
    }
}

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 80vh;
    margin: 0 auto;
}

.wrapper-content {
    display: flex;
    flex-direction: column;
    min-height: 80vh;

    &.wrapper-content--fixed {
        margin-top: 80px;
    }
}

.container {
    width: 100%;
    flex: 0 0 auto;
    position: relative;
    max-width: $desktopWidth;
    margin: 0 auto;

    @media screen and (max-width: $smDesktopWidth) {
        max-width: $tableWidth;
    }

    @media screen and (max-width: $tableWidth) {
        max-width: $phoneWidth;
    }

    @media screen and (max-width: $phoneWidth) {
        max-width: $smPhoneWidth;
    }
}

@import "./common.scss";
@import "./theme.scss";